package com.duiba.tuia.youtui.web.model.req;/**
 * Created by chengdeman .
 * 17/6/29 .
 */

import io.swagger.annotations.ApiModel;

/**
 * 考拉回调接口实体
 *
 * @author chengdeman
 * @create 2017-06-29 上午10:01
 **/
@ApiModel
public class KaolaCallBackReq {


    /**
     *  点击Id，接入方生成唯一标识
     */
    private String clickId;

    /**
     *  点击广告的用户的IDFA
     */
    private String idfa;

    /**
     *  考拉app在appstore的编号
     */
    private String  appid;

    /**
     * 子渠道，接入方提供
     */
    private  String subchannel;

    /**
     * 用户IP
     */
    private String ip ;

    /**
     * user-agent
     */
    private String userAgent;


    public String getClickId() {
        return clickId;
    }

    public void setClickId(String clickId) {
        this.clickId = clickId;
    }

    public String getIdfa() {
        return idfa;
    }

    public void setIdfa(String idfa) {
        this.idfa = idfa;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getSubchannel() {
        return subchannel;
    }

    public void setSubchannel(String subchannel) {
        this.subchannel = subchannel;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getUserAgent() {
        return userAgent;
    }

    public void setUserAgent(String userAgent) {
        this.userAgent = userAgent;
    }
}
